Bug 124804 - FORMATTING Image properties Borders not properly handled (automatically reset to default)
Summary: FORMATTING Image properties Borders not properly handled (automatically reset...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.1.2 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-04-17 18:39 UTC by Stefan_Lange_KA@T-Online.de
Modified: 2019-04-30 06:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test document to show the problem (143.21 KB, application/vnd.oasis.opendocument.text)
2019-04-17 18:39 UTC, Stefan_Lange_KA@T-Online.de
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan_Lange_KA@T-Online.de 2019-04-17 18:39:25 UTC
Created attachment 150836 [details]
Test document to show the problem

In the attached test odt document I have inserted two images. Both were formatted by "Properties" dialog -> tab "Borders" -> "Shadow Style" -> "Distance" -> 0,12 cm.
When I open the document, select one of the images, open the image properties dialog and navigate to the Borders tab, I see the saved value 0,12 cm. 
After I have done nothing or changed any other properties and finally pressed "OK" the dialog closes and the shadow width increases visibly.
 
When the propertied dialog is opened again the shadow distance 0,18 (= Default) is shown.
To achieve the wished width I can choose "Undo" or I must re-change the distance value to 0,12 + press OK.

If the process is repeated after that (open properties dialog, at least one time open the Borders tab, change nothing or any other properties and than press OK), the width increases again.

The problem didn't occur in LO 6.2.0 and earlier versions, but in LO 6.2.1 and higher (until 6.2.4.0.0+) and also with LO 6.3.0 alpha.
Comment 1 mulla.tasanim 2019-04-18 18:38:53 UTC
Thank you for reporting the bug.

I can confirm that the bug is present in

Version: 6.2.1.2 (x64)
Build ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL


Version: 6.3.0.0.alpha0+ (x64)
Build ID: 91cdf22b88a4f7bec243c8fb187627e766d3294c
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-03-08_00:38:10
Locale: en-US (en_US); UI-Language: en-US
Calc: CL

After opening the Properties dialog at first distance is set to 0.12 cm.
Properties dialog opened again distance is set to 0.17 cm(default).
If the process id repeated distance remains set to default (0.17cm)
Comment 2 Stefan_Lange_KA@T-Online.de 2019-04-21 19:00:31 UTC
I can reproduce the behaviour also with
Version: 6.2.2.2
Build-ID: 1:6.2.2-0ubuntu2
CPU-Threads: 4; BS: Linux 5.0; UI-Render: Standard; VCL: gtk3; 
Gebietsschema: de-DE (de_DE.UTF-8); UI-Sprache: de-DE
Calc: threaded
Comment 3 Buovjaga 2019-04-24 19:34:24 UTC
Bibisected with win32-6.3 to https://gerrit.libreoffice.org/plugins/gitiles/core/+/ba5eaf86a84212ab70424fc83464acec5b0d51a0%5E%21
Resolves: tdf#122914 missing save_value

Adding Cc: to Caolán McNamara
Comment 4 Commit Notification 2019-04-25 15:30:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ea7af3d1c589ba72169a1e05ff5800bd77ca861a%5E%21

Resolves: tdf#124804 border considered changed when it isn't

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2019-04-25 15:31:37 UTC
fixed in master, backport in gerrit for 6-2
Comment 6 Buovjaga 2019-04-25 15:54:54 UTC
Verified the fix, thanks.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: a0edb53e63b9fa7ed5983d6500aece1e5eff380b
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 25 April 2019
Comment 7 Commit Notification 2019-04-26 09:41:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/324755caddb21e53454e56889f0d0e6b50923223%5E%21

Resolves: tdf#124804 border considered changed when it isn't

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Stefan_Lange_KA@T-Online.de 2019-04-30 06:59:13 UTC
Tested with
Version: 6.2.4.0.0+ (x64)
Build ID: 8d8a759da7ca6d2ae9aa53986d40cbbd106ffb86
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:libreoffice-6-2, Time: 2019-04-30_01:18:24
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

Result: OK!